NewWacht Bench is live — AI-assisted development for Wacht

Get Deployment

GET
/deployment

Authorization

__session<token>

Session JWT stored as a cookie after sign-in. Used in production environments.

In: cookie

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://{deployment_host}/deployment"
{
  "status": 0,
  "message": "string",
  "data": {
    "id": "string",
    "created_at": "string",
    "updated_at": "string",
    "deleted_at": null,
    "maintenance_mode": true,
    "backend_host": "string",
    "frontend_host": "string",
    "mail_from_host": "string",
    "publishable_key": "string",
    "b2b_settings": {
      "id": "string",
      "created_at": "string",
      "updated_at": "string",
      "deleted_at": null,
      "deployment_id": "string",
      "organizations_enabled": true,
      "workspaces_enabled": true,
      "ip_allowlist_per_org_enabled": true,
      "allow_users_to_create_orgs": true,
      "max_orgs_per_user": 0,
      "max_allowed_org_members": 0,
      "max_allowed_workspace_members": 0,
      "allow_org_deletion": true,
      "allow_workspace_deletion": true,
      "custom_org_role_enabled": true,
      "limit_org_creation_per_user": true,
      "limit_workspace_creation_per_org": true,
      "org_creation_per_user_count": 0,
      "workspaces_per_org_count": 0,
      "custom_workspace_role_enabled": true,
      "default_workspace_creator_role_id": "string",
      "default_workspace_member_role_id": "string",
      "default_org_creator_role_id": "string",
      "default_org_member_role_id": "string",
      "workspace_permissions": [
        "string"
      ],
      "organization_permissions": [
        "string"
      ],
      "ip_allowlist_per_workspace_enabled": true,
      "enforce_mfa_per_org_enabled": true,
      "enforce_mfa_per_workspace_enabled": true,
      "enterprise_sso_enabled": true
    },
    "auth_settings": {
      "id": "string",
      "created_at": "string",
      "updated_at": "string",
      "deleted_at": null,
      "email_address": {
        "enabled": true,
        "required": true
      },
      "phone_number": {
        "enabled": true,
        "required": true
      },
      "username": {
        "enabled": true,
        "required": true
      },
      "first_name": {
        "enabled": true,
        "required": true
      },
      "last_name": {
        "enabled": true,
        "required": true
      },
      "password": {
        "enabled": true,
        "required": true
      },
      "backup_code": {
        "enabled": true,
        "required": true
      },
      "web3_wallet": {
        "enabled": true,
        "required": true
      },
      "password_policy": {
        "enabled": true,
        "required": true
      },
      "magic_link": {
        "enabled": true,
        "required": true
      },
      "passkey": {
        "enabled": true,
        "prompt_registration_on_auth": true,
        "allow_autofill": true
      },
      "auth_factors_enabled": {
        "email_password": true,
        "username_password": true,
        "email_magic_link": true,
        "email_otp": true,
        "phone_otp": true,
        "web3_wallet": true,
        "backup_code": true,
        "authenticator": true
      },
      "verification_policy": {
        "phone_number": true,
        "email": true
      },
      "second_factor_policy": "none",
      "first_factor": "email_password",
      "second_factor": "none",
      "alternate_first_factors": [
        "email_password"
      ],
      "alternate_second_factors": [
        "none"
      ],
      "multi_session_support": {
        "enabled": true,
        "max_accounts_per_session": 0,
        "max_sessions_per_account": 0
      },
      "deployment_id": "string"
    },
    "restrictions": {
      "id": "string",
      "created_at": "string",
      "updated_at": "string",
      "deleted_at": null,
      "deployment_id": "string",
      "allowlist_enabled": true,
      "blocklist_enabled": true,
      "block_subaddresses": true,
      "block_disposable_emails": true,
      "block_voip_numbers": true,
      "country_restrictions": {
        "enabled": true,
        "country_codes": [
          "string"
        ]
      },
      "banned_keywords": [
        "string"
      ],
      "allowlisted_resources": [
        "string"
      ],
      "blocklisted_resources": [
        "string"
      ],
      "sign_up_mode": "public"
    },
    "social_connections": [
      {
        "id": "string",
        "created_at": "string",
        "updated_at": "string",
        "deleted_at": null,
        "deployment_id": "string",
        "provider": "string",
        "enabled": true,
        "user_defined_scopes": null,
        "custom_credentials_set": true
      }
    ],
    "ui_settings": {
      "deployment_id": "string",
      "app_name": "string",
      "privacy_policy_url": "string",
      "tos_page_url": "string",
      "sign_in_page_url": "string",
      "sign_up_page_url": "string",
      "waitlist_page_url": "string",
      "support_page_url": "string",
      "after_logo_click_url": "string",
      "user_profile_url": "string",
      "organization_profile_url": "string",
      "create_organization_url": "string",
      "after_sign_out_one_page_url": "string",
      "after_sign_out_all_page_url": "string",
      "after_signup_redirect_url": "string",
      "after_signin_redirect_url": "string",
      "after_create_organization_redirect_url": "string",
      "favicon_image_url": "string",
      "default_user_profile_image_url": "string",
      "default_organization_profile_image_url": "string",
      "default_workspace_profile_image_url": "string",
      "use_initials_for_user_profile_image": true,
      "use_initials_for_organization_profile_image": true,
      "logo_image_url": "string",
      "signup_terms_statement": "string",
      "signup_terms_statement_shown": true,
      "light_mode_settings": {
        "primary_color": "string",
        "background_color": "string",
        "text_color": "string",
        "token_overrides": {
          "space_unit": "string",
          "card": "string",
          "card_foreground": "string",
          "popover": "string",
          "popover_foreground": "string",
          "primary_foreground": "string",
          "secondary": "string",
          "secondary_foreground": "string",
          "accent": "string",
          "accent_foreground": "string",
          "ring": "string",
          "foreground": "string",
          "foreground_inverse": "string",
          "secondary_text": "string",
          "muted": "string",
          "border": "string",
          "border_hover": "string",
          "divider": "string",
          "input_background": "string",
          "input_border": "string",
          "input_focus_border": "string",
          "background_subtle": "string",
          "background_hover": "string",
          "primary_hover": "string",
          "error": "string",
          "error_background": "string",
          "error_border": "string",
          "warning": "string",
          "warning_background": "string",
          "warning_border": "string",
          "warning_text": "string",
          "success": "string",
          "success_background": "string",
          "success_border": "string",
          "info": "string",
          "info_background": "string",
          "radius_md": "string",
          "radius_lg": "string",
          "radius_xl": "string",
          "radius_2xl": "string",
          "radius_2xs": "string",
          "radius_xs": "string",
          "radius_full": "string",
          "border_width_thin": "string",
          "border_width_regular": "string",
          "scrollbar_track": "string",
          "scrollbar_thumb": "string",
          "scrollbar_thumb_hover": "string",
          "shadow_color": "string",
          "shadow_light_color": "string",
          "shadow_medium_color": "string",
          "success_shadow": "string",
          "success_background_light": "string",
          "button_ripple": "string",
          "dialog_backdrop": "string",
          "space_0u": "string",
          "space_1u": "string",
          "space_2u": "string",
          "space_3u": "string",
          "space_4u": "string",
          "space_5u": "string",
          "space_6u": "string",
          "space_7u": "string",
          "space_8u": "string",
          "space_10u": "string",
          "space_12u": "string",
          "space_14u": "string",
          "space_16u": "string",
          "space_24u": "string",
          "font_size_2xs": "string",
          "font_size_xs": "string",
          "font_size_sm": "string",
          "font_size_md": "string",
          "font_size_lg": "string",
          "font_size_xl": "string",
          "font_size_2xl": "string",
          "font_size_3xl": "string",
          "size_8u": "string",
          "size_10u": "string",
          "size_12u": "string",
          "size_18u": "string",
          "size_20u": "string",
          "size_24u": "string",
          "size_32u": "string",
          "size_36u": "string",
          "size_40u": "string",
          "size_45u": "string",
          "size_50u": "string",
          "shadow_sm": "string",
          "shadow_md": "string",
          "shadow_lg": "string",
          "shadow_xl": "string",
          "shadow_success": "string",
          "ring_primary": "string",
          "letter_spacing_tight": "string"
        }
      },
      "dark_mode_settings": {
        "primary_color": "string",
        "background_color": "string",
        "text_color": "string",
        "token_overrides": {
          "space_unit": "string",
          "card": "string",
          "card_foreground": "string",
          "popover": "string",
          "popover_foreground": "string",
          "primary_foreground": "string",
          "secondary": "string",
          "secondary_foreground": "string",
          "accent": "string",
          "accent_foreground": "string",
          "ring": "string",
          "foreground": "string",
          "foreground_inverse": "string",
          "secondary_text": "string",
          "muted": "string",
          "border": "string",
          "border_hover": "string",
          "divider": "string",
          "input_background": "string",
          "input_border": "string",
          "input_focus_border": "string",
          "background_subtle": "string",
          "background_hover": "string",
          "primary_hover": "string",
          "error": "string",
          "error_background": "string",
          "error_border": "string",
          "warning": "string",
          "warning_background": "string",
          "warning_border": "string",
          "warning_text": "string",
          "success": "string",
          "success_background": "string",
          "success_border": "string",
          "info": "string",
          "info_background": "string",
          "radius_md": "string",
          "radius_lg": "string",
          "radius_xl": "string",
          "radius_2xl": "string",
          "radius_2xs": "string",
          "radius_xs": "string",
          "radius_full": "string",
          "border_width_thin": "string",
          "border_width_regular": "string",
          "scrollbar_track": "string",
          "scrollbar_thumb": "string",
          "scrollbar_thumb_hover": "string",
          "shadow_color": "string",
          "shadow_light_color": "string",
          "shadow_medium_color": "string",
          "success_shadow": "string",
          "success_background_light": "string",
          "button_ripple": "string",
          "dialog_backdrop": "string",
          "space_0u": "string",
          "space_1u": "string",
          "space_2u": "string",
          "space_3u": "string",
          "space_4u": "string",
          "space_5u": "string",
          "space_6u": "string",
          "space_7u": "string",
          "space_8u": "string",
          "space_10u": "string",
          "space_12u": "string",
          "space_14u": "string",
          "space_16u": "string",
          "space_24u": "string",
          "font_size_2xs": "string",
          "font_size_xs": "string",
          "font_size_sm": "string",
          "font_size_md": "string",
          "font_size_lg": "string",
          "font_size_xl": "string",
          "font_size_2xl": "string",
          "font_size_3xl": "string",
          "size_8u": "string",
          "size_10u": "string",
          "size_12u": "string",
          "size_18u": "string",
          "size_20u": "string",
          "size_24u": "string",
          "size_32u": "string",
          "size_36u": "string",
          "size_40u": "string",
          "size_45u": "string",
          "size_50u": "string",
          "shadow_sm": "string",
          "shadow_md": "string",
          "shadow_lg": "string",
          "shadow_xl": "string",
          "shadow_success": "string",
          "ring_primary": "string",
          "letter_spacing_tight": "string"
        }
      }
    },
    "project_id": "string",
    "mode": "production\" | \"staging"
  },
  "session": {
    "id": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}